<odoo>

    <record model="ir.ui.view" id="mklab_forecast_mrp.marketinglist">
      <field name="name">Промо акции</field>
      <field name="model">mklab.marketaction</field>
      <field name="arch" type="xml">
        <list>
          <field name="name"/>
          <field name="start_date"/>
          <field name="end_date"/>
          <field name="start_sale_date"/>
          <field name="end_sale_date"/>
        </list>
      </field>
    </record>

    <record model="ir.ui.view" id="mklab_forecast_mrp.marketingform">
      <field name="name">Промо акции</field>
      <field name="model">mklab.marketaction</field>
      <field name="arch" type="xml">
        <form>
          <sheet>
            <group>
              <field name="name"/>
              <field name="start_date"/>
              <field name="end_date"/>
              <field name="start_sale_date"/>
              <field name="end_sale_date"/>
            </group>
            <field name="product_line_ids">
              <list editable="top">
                <field name="product_id"/>
                <field name="discount_ship"/>
                <field name="discount_sale"/>
                <field name="expected_growth"/>
              </list>
            </field>
            <field name="partner_line_ids">
              <list editable="top">
                <field name="partner_id"/>
                <field name="pos_qty"/>
              </list>
            </field>
          </sheet>
        </form>
      </field>
    </record>

    <record model="ir.actions.act_window" id="mklab_forecast_mrp.action_window">
      <field name="name">Маркетинговые мероприятия</field>
      <field name="res_model">mklab.marketaction</field>
      <field name="view_mode">list,form</field>
    </record>

    <!-- Корневое меню -->
    <menuitem name="План" id="mklab_forecast_mrp.menu_root"/>

    <!-- Разделы -->
    <menuitem name="Планирование" id="mklab_forecast_mrp.menu_2"
              parent="mklab_forecast_mrp.menu_root" sequence="1"/>
    <menuitem name="Стимулирующие мероприятия" id="mklab_forecast_mrp.menu_1"
              parent="mklab_forecast_mrp.menu_root" sequence="2"/>
    <menuitem name="Анализ данных" id="mklab_forecast_mrp.menu_3"
              parent="mklab_forecast_mrp.menu_root" sequence="3"/>

    <!-- Пункты меню -->
    <menuitem name="Мероприятия" id="mklab_forecast_mrp.menu_1_list"
              parent="mklab_forecast_mrp.menu_1"
              action="mklab_forecast_mrp.action_window"/>

</odoo>
